Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jboss.subsystem
Class SequencerWriteAttributeHandler

    java.lang.Object
      org.jboss.as.controller.AbstractWriteAttributeHandler<Void>
          org.modeshape.jboss.subsystem.AbstractRepositoryConfigWriteAttributeHandler
              org.modeshape.jboss.subsystem.SequencerWriteAttributeHandler

All Implemented Interfaces:
  org.jboss.as.controller.OperationStepHandler

    public class SequencerWriteAttributeHandler

extends AbstractRepositoryConfigWriteAttributeHandler

An `OperationStepHandler` implementation that handles changes to the model values for a sequencer submodel's `attribute definitions`. Those attributes that can be changed `RESTART_NONE without restarting` will be immediately reflected in the repository's configuration; other attributes will be changed in the submodel and used upon the next restart.

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.as.controller.AbstractWriteAttributeHandler
`org.jboss.as.controller.AbstractWriteAttributeHandler.HandbackHolder<T>`

Method Summary
`protected boolean` | `changeField(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode operation, RepositoryService repositoryService, MappedAttributeDefinition defn, org.jboss.dmr.ModelNode newValue)`
`protected String` | `sequencerName(org.jboss.dmr.ModelNode operation)`

Methods inherited from class org.modeshape.jboss.subsystem.AbstractRepositoryConfigWriteAttributeHandler
`allBut, applyUpdateToRuntime, changeConfiguration, registerAttributes, repositoryName, revertUpdateToRuntime, unique`

Methods inherited from class org.jboss.as.controller.AbstractWriteAttributeHandler
`execute, getAttributeDefinition, requiresRuntime, validateResolvedValue, validateUnresolvedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### changeField

    protected boolean changeField(org.jboss.as.controller.OperationContext context,
                                  org.jboss.dmr.ModelNode operation,
                                  RepositoryService repositoryService,
                                  MappedAttributeDefinition defn,
                                  org.jboss.dmr.ModelNode newValue)
                           throws RepositoryException,
                                  org.jboss.as.controller.OperationFailedException

  Overrides:
    `changeField` in class `AbstractRepositoryConfigWriteAttributeHandler`
  Throws:
    `RepositoryException`
    `org.jboss.as.controller.OperationFailedException`

### sequencerName

    protected final String sequencerName(org.jboss.dmr.ModelNode operation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.